echo off
if '%1'=='' goto NoParam
batext %1
if errorlevel 99 goto NoDrive
if errorlevel 1 goto MakeDir
if errorlevel 0 goto DirOK
:NoDrive
echo The drive %1 does not exist!  Please try again.
goto Abort
:MakeDir
echo Creating directory %1
mkdir %1
:DirOk
echo ARCANUM Computing Installation
echo ------------------------------
echo Select program to install by number:
echo  1) Mah Jongg game and Tile Maker utility
echo  2) Mah Jongg, game only
echo  3) Tile Maker utility only
echo ------------------------------
echo Note:  select option 1 only if installing to a hard disk as all
echo files will not fit on a single floppy disk.
batext
if errorlevel 4 goto Abort
if errorlevel 3 goto Install3
if errorlevel 2 goto Install2
if errorlevel 1 goto Install1
goto Abort
:Install1
echo Installing Mah Jongg and Tile Maker to %1
copy flags.til %1
copy flags.txt %1
copy mahjongg.doc %1
copy mahjongg.txt %1
copy mahjongg.exe %1
copy mahjongg.til %1
copy statgen.exe %1
copy orderfrm.txt %1
copy sharewre.txt %1
copy tiles.com %1
batext cd %1
tiles
if exist tilemakr.exe del tiles.com
echo Installation complete.  Type 'mahjongg' to run.
goto Abort
:Install2
echo Installing Mah Jongg to %1
copy flags.til %1
copy flags.txt %1
copy mahjongg.doc %1
copy mahjongg.txt %1
copy mahjongg.exe %1
copy statgen.exe %1
copy orderfrm.txt %1
copy sharewre.txt %1
batext cd %1
echo Installation complete.  Type 'mahjongg' to run.
goto Abort
:Install3
echo Installing Tile Maker to %1
copy flags.til %1
copy flags.txt %1
copy mahjongg.til %1
copy tiles.com %1
batext cd %1
tiles
if exist tilemakr.exe del tiles.com
echo Installation complete.  Type 'tilemakr' to run.
goto Abort
:NoParam
echo %1
echo You need to specify where you want the program installed.  For example,
echo    INSTALL A:
echo will install it on your A: drive, or
echo    INSTALL C:\GAMES
echo will install to the \games directory on your C: drive.
echo Try again...
:Abort
